summaryrefslogtreecommitdiffstats
path: root/source/a/bash/bash.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-03-08 18:28:40 +0000
committer Eric Hameleers <alien@slackware.com>2019-03-09 08:59:47 +0100
commit10851c8f6b7377b65844f3c6ca4be7c3adc8fadf (patch)
treea6c5ee50423d444c6924f6e0a4ba9d67f93a7721 /source/a/bash/bash.SlackBuild
parentb604e1b12779fec10d783a94ad147fcd81abbc54 (diff)
downloadcurrent-10851c8f6b7377b65844f3c6ca4be7c3adc8fadf.tar.gz
current-10851c8f6b7377b65844f3c6ca4be7c3adc8fadf.tar.xz
Fri Mar 8 18:28:40 UTC 201920190308182840
a/bash-5.0.002-x86_64-3.txz: Rebuilt. Fix applying patches. Thanks to saahriktu. a/e2fsprogs-1.45.0-x86_64-1.txz: Upgraded. n/ca-certificates-20190308-noarch-1.txz: Upgraded. n/nghttp2-1.37.0-x86_64-1.txz: Upgraded. n/ntp-4.2.8p13-x86_64-1.txz: Upgraded. This release fixes a bug that allows an attacker with access to an explicitly trusted source to send a crafted malicious mode 6 (ntpq) packet that can trigger a NULL pointer dereference, crashing ntpd. It also provides 17 other bugfixes and 1 other improvement. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8936 (* Security fix *) n/postfix-3.4.1-x86_64-2.txz: Rebuilt. n/s-nail-14.9.13-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/bash/bash.SlackBuild')
-rwxr-xr-xsource/a/bash/bash.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/a/bash/bash.SlackBuild b/source/a/bash/bash.SlackBuild
index 0233e6acc..a393e87c8 100755
--- a/source/a/bash/bash.SlackBuild
+++ b/source/a/bash/bash.SlackBuild
@@ -31,7 +31,7 @@ PKG=$TMP/package-bash
PKGNAM=bash
VERSION=${VERSION:-$(echo bash-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -101,7 +101,7 @@ find . -perm 664 | xargs chmod 644
find . -perm 775 | xargs chmod 755
if [ -d $CWD/bash-${VERSION}-patches ]; then
- ( cd $CWD/bash-${VERSION}-patches ; cat bash4?-??? ) | patch -p0 --verbose || exit 1
+ ( cd $CWD/bash-${VERSION}-patches ; cat bash5?-??? ) | patch -p0 --verbose || exit 1
fi
# Fix .so errors in manpages (needed for strict implementations such as mandoc):
@@ -124,7 +124,7 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/bin
-mv $PKG/usr/bin/bash $PKG/bin/bash4.new
+mv $PKG/usr/bin/bash $PKG/bin/bash5.new
# We don't include the "bashbug" script.
rm -rf $PKG/usr/bin $PKG/usr/man/man1/bashbug.1